Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.collection
Class OrphanMapDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
              org.mule.config.spring.parsers.collection.OrphanMapDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  MixinMapDefinitionParser

    public class OrphanMapDefinitionParser

extends AbstractMuleBeanDefinitionParser

Creates a single, stand-alone map object and processes standard Spring sub elements

Field Summary
`protected boolean` | `attributeName`
`protected boolean` | `dynamicName`
`protected Class` | `mapClass`
`protected String` | `name`

Fields inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`ATTRIBUTE_CLASS, ATTRIBUTE_ID, ATTRIBUTE_NAME, ATTRIBUTE_REF, ATTRIBUTE_REF_SUFFIX, ATTRIBUTE_REFS, ATTRIBUTE_REFS_SUFFIX, beanPropertyConfiguration, logger, ROOT_ELEMENT, singleton`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`OrphanMapDefinitionParser(Class mapClass)` Creates a Map parser that will add the map directly to the registry
`OrphanMapDefinitionParser(Class mapClass, String name)` Creates a Map parser that will add the map directly to the registry
`OrphanMapDefinitionParser(Class mapClass, String name, boolean attributeName)` Creates a Map parser that will add the map directly to the registry

Method Summary
`protected void` | `doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)` Parse the supplied `Element` and populate the supplied `BeanDefinitionBuilder` as required.
`protected Class` | `getBeanClass(Element element)` Determine the bean class corresponding to the supplied `Element`.
`protected void` | `preProcess(Element element)` Hook method that derived classes can implement to modify internal state before processing.
`protected String` | `resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext parserContext)`

Methods inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, checkElementNameUnique, createBeanDefinitionBuilder, getBeanAssembler, getBeanAssemblerFactory, getBeanClassFromAttribute, getBeanName, getClassConstraint, getClassInternal, getParserContext, getRegistry, isAllowClassAttribute, isSingleton, isTopLevel, muleParse, parseInternal, postProcess, processProperty, registerPostProcessor, registerPreProcessor, removeIgnored, setAllowClassAttribute, setBeanAssemblerFactory, setClassConstraint, setIgnoredDefault, setParserContext, setRegistry`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Field Detail

### mapClass

    protected Class mapClass

### name

    protected String name

### attributeName

    protected boolean attributeName

### dynamicName

    protected boolean dynamicName

Constructor Detail

### OrphanMapDefinitionParser

    public OrphanMapDefinitionParser(Class mapClass)

  Creates a Map parser that will add the map directly to the registry

  Parameters:
    `mapClass` - the type of map to create

### OrphanMapDefinitionParser

    public OrphanMapDefinitionParser(Class mapClass,
                                     String name)

  Creates a Map parser that will add the map directly to the registry

  Parameters:
    `mapClass` - the type of map to create
    `name` - the name of the map property

### OrphanMapDefinitionParser

    public OrphanMapDefinitionParser(Class mapClass,
                                     String name,
                                     boolean attributeName)

  Creates a Map parser that will add the map directly to the registry

  Parameters:
    `mapClass` - the type of map to create
    `name` - the name of the map property
    `attributeName` - whether the name specified is actually an attribute name on the element. The map name will be retrieved from the element attribute.

Method Detail

### getBeanClass

    protected Class getBeanClass(Element element)

  Description copied from class: `AbstractMuleBeanDefinitionParser`
  Determine the bean class corresponding to the supplied `Element`.

  Specified by:
    `getBeanClass` in class `AbstractMuleBeanDefinitionParser`
  Parameters:
    `element` - the `Element` that is being parsed
  Returns:
    the `Class` of the bean that is being defined via parsing the supplied `Element` (must not be `null`)
  See Also:
    `AbstractMuleBeanDefinitionParser.parseInternal(org.w3c.dom.Element,ParserContext)`

### doParse

    protected void doParse(Element element,
                           org.springframework.beans.factory.xml.ParserContext parserContext,
                           org.springframework.beans.factory.support.BeanDefinitionBuilder builder)

  Description copied from class: `AbstractMuleBeanDefinitionParser`
  Parse the supplied `Element` and populate the supplied `BeanDefinitionBuilder` as required.

  The default implementation delegates to the `doParse` version without ParserContext argument.

  Overrides:
    `doParse` in class `AbstractMuleBeanDefinitionParser`
  Parameters:
    `element` - the XML element being parsed
    `parserContext` - the object encapsulating the current state of the parsing process
    `builder` - used to define the `BeanDefinition`

### preProcess

    protected void preProcess(Element element)

  Description copied from class: `AbstractMuleBeanDefinitionParser`
  Hook method that derived classes can implement to modify internal state before processing. Here we make sure that the internal property configuration state is reset to the initial configuration for each element (it may be modified by the BeanAssembler) and that other mutable instance variables are cleared.

  Overrides:
    `preProcess` in class `AbstractMuleBeanDefinitionParser`

### resolveId

    protected String resolveId(Element element,
                               org.springframework.beans.factory.support.AbstractBeanDefinition definition,
                               org.springframework.beans.factory.xml.ParserContext parserContext)
                        throws org.springframework.beans.factory.BeanDefinitionStoreException

  Overrides:
    `resolveId` in class `AbstractMuleBeanDefinitionParser`
  Throws:
    `org.springframework.beans.factory.BeanDefinitionStoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.